Layout/LineLength:
  Max: 80

Layout/IndentationStyle:
  Enabled: false
  EnforcedStyle: tabs
  IndentationWidth: 2

Layout/IndentationWidth:
  Width: 1 # one tab

Layout/EndAlignment:
  EnforcedStyleAlignWith: variable

Lint/RescueException:
  Enabled: false

Metrics/AbcSize:
  Max: 190

Metrics/BlockLength:
  Max: 200

Metrics/BlockNesting:
  Max: 5

Metrics/ClassLength:
  Max: 200

Metrics/CyclomaticComplexity:
  Max: 30

Metrics/MethodLength:
  Max: 200
  CountAsOne: ["hash"]

Metrics/ModuleLength:
  Max: 1000

Metrics/ParameterLists:
  Max: 8

Metrics/PerceivedComplexity:
  Max: 30

Naming/MethodParameterName:
  Enabled: false

Style/AndOr:
  Enabled: false

Layout/ParameterAlignment:
  Enabled: false

Style/BlockDelimiters:
  Enabled: false

Layout/CaseIndentation:
  EnforcedStyle: end

Style/Documentation:
  Enabled: false

Style/FormatString:
  EnforcedStyle: percent

# Offense count: 1
Style/IfInsideElse:
  Exclude:
    - "sgx-bwmsgsv2.rb"

Layout/LeadingCommentSpace:
  Enabled: false

Layout/MultilineMethodCallBraceLayout:
  Enabled: false

Layout/MultilineOperationIndentation:
  Enabled: false

Style/MultilineTernaryOperator:
  Enabled: false

Style/Next:
  Enabled: false

Style/Not:
  Enabled: false

Style/NumericLiterals:
  MinDigits: 20
  Strict: true

Style/NumericPredicate:
  Enabled: false

Layout/SpaceAroundOperators:
  Enabled: false

Layout/SpaceInsideHashLiteralBraces:
  EnforcedStyle: no_space

Style/StringLiterals:
  EnforcedStyle: double_quotes
  Enabled: false

Style/NegatedIf:
  Enabled: false

Style/RedundantReturn:
  Enabled: false

Style/MultilineBlockChain:
  Enabled: false

Layout/SpaceAroundEqualsInParameterDefault:
  EnforcedStyle: no_space

Layout/FirstArrayElementIndentation:
  EnforcedStyle: consistent

Style/SymbolArray:
  EnforcedStyle: brackets

Layout/FirstParameterIndentation:
  EnforcedStyle: consistent

Style/Lambda:
  EnforcedStyle: lambda

Layout/AccessModifierIndentation:
  EnforcedStyle: outdent

Style/FormatStringToken:
  Enabled: false

Style/WordArray:
  EnforcedStyle: brackets
